The Inperfect Setup for me - Fedora Core 4.

Discussion in 'HOWTO-Related Questions' started by dstme, Nov 13, 2005.

  1. dstme

    dstme New Member

    Hi I'm dead new to Linux, so sorry if I ask stupid questions. I did look through the forum before posting.

    I tried to rpm -ivh http://ftp.freshrpms.net/pub/fedora/linux/extras/4/i386/apt-0.5.15cnc7-6.fc4.i386.rpm

    But I got error message:
    [root@chick ~]# rpm -ivh http://ftp.freshrpms.net/pub/fedora/linux/extras/4/i386/apt-0.5.15cnc7-6.fc4.i386.rpm
    Retrieving http://ftp.freshrpms.net/pub/fedora/linux/extras/4/i386/apt-0.5.15cnc7-6.fc4.i386.rpm
    error: /var/tmp/rpm-xfer.Xz4sXE: headerRead failed: hdr blob(42126): BAD, read returned 7736
    error: /var/tmp/rpm-xfer.Xz4sXE cannot be installed

    Any help will much appreciated!:rolleyes:
     
  2. till

    till Super Moderator


    For me it looks like the rpm package was corrupted during download. Have you executed the command as root user?

    You can try to download the package first and the install it:

    Code:
    wget http://ftp.freshrpms.net/pub/fedora/linux/extras/4/i386/apt-0.5.15cnc7-6.fc4.i386.rpm
    rpm -ivh apt-0.5.15cnc7-6.fc4.i386.rpm
     
  3. dstme

    dstme New Member

    Thanks for quick reply. Ya, I execute the command as root user.
    Where do I download to and how then to install it (how and where?), please.
     
  4. till

    till Super Moderator

    I posted it already in my post:

    Code:
    wget http://ftp.freshrpms.net/pub/fedora/linux/extras/4/i386/apt-0.5.15cnc7-6.fc4.i386.rpm
    rpm -ivh apt-0.5.15cnc7-6.fc4.i386.rpm
    The wget command will download the package to your disk and the rpm command installs it.
     
  5. dstme

    dstme New Member

    Thanks. I have started but it has stuck in 2% for almost 15mins. Does it takes long time to download. I'm using 512k broadband.

     
  6. dstme

    dstme New Member

    Sorry, I think it is slow only, now 9%
     
  7. dstme

    dstme New Member

    Hi, if I may, I have another question. Right now I have restart my MySql, then as the tutorial said run mysqladmin -u root password yourrootsqlpassword.

    I not sure if you mean to replace "password" for my root password and "yourrootsqlpassword" for mysql password. Is this correct?:eek:
     
  8. falko

    falko Super Moderator

    No, only replace yourrootsqlpassword. If your password is secret, then the command would be
    Code:
    mysqladmin -u root password [I]secret[/I]
     
  9. dstme

    dstme New Member

    Thanks falko, I have error: Can you help, please.
    PLease ignore above. Just found the solution when searching your forum thread. Thnks!
     
    Last edited: Nov 13, 2005
  10. dstme

    dstme New Member

    OK...almost done until hit with problem. I have follow every steps but when I try to telnet localhost 25, get closed. Help please....

     
  11. falko

    falko Super Moderator

    When you see the line
    type
    and afterwards
    instead of waiting.
     
  12. dstme

    dstme New Member

    I should have read more carefully. Thanks. Bare with me. I'm still newbie in Linux.
    Another problem: I get alot of connection errors when installing Apache with PHP5. Any other way?:eek:

    I run again twice, and still get the same error messages.

    Before I forget. I like to use my local time for my server. Do I have to run:
    or rdate -s 127.0.0.1 ?
     
    Last edited: Nov 14, 2005
  13. till

    till Super Moderator

    The problem is that the connections to ayo.freshrpms.net timed out during package installation.

    Rdate: you cannot run rdate -s 127.0.0.1 succesfully without having a timeserver installed locally. If you do not want to use time synchronization, dont use rdate at all.

    Remark: Please do not post unrelated topics to an existing thread. Please make a new thread for every new topic, its easier to read and poeple searching the forums dont get confused :)
     
  14. dstme

    dstme New Member

    Apologies if I have put in wrong thread.:eek: I'm trying to install Fedora C4 and all errors encounted while following Perfect setup fedora core 4, so I put all questions in same thread. :(

    If I may put in the same thread, so far, I have tried many time to apt -get install Apache with PHP5 (according to page 4 - perfect_setup_fedora_core_4_p4), all time-out. Basically I'm have been trying apt -get for the whole day and everytime it timed out. Is there another command to install or other sites to install?
     
  15. till

    till Super Moderator

    The question is, is your internet connection so slow? I Can reach ayo.freshrpms.net very good and the connection is really fast (> 100 KB /sec).

    Maybe you will have to look for a mirror server that is better connected to your internet service provider.
     
  16. falko

    falko Super Moderator

    Might also be a firewall issue...
     
  17. dstme

    dstme New Member

    Ok, can you suggest any mirror sites closer to Singapore? and command should I use and do I edit /etc/apt/sources.list.?
     
  18. till

    till Super Moderator

    I never needed a mirror, so i do not have tested this:

    http://ayo.mirrorservice.org/

    There are some full mirrors at the end of the page. Please try them even if they are not nearer to you, but maybe your ISP has a better connection to them.

    1) Make a backup copy of /etc/apt/sources.list
    2) Edit /etc/apt/sources.list, and replace all occurrences of ayo.freshrpms.net with e.g. ayo.ie.freshrpms.net
    3) run apt-get update
    4) Try again to install the rpm packages.
     
  19. dstme

    dstme New Member

    Hi Falko, Till , I have disable my Firewall on my router and still not looking good. I'm runnuing apt-get update and seems only fews are able to update. Do I just retry again or better change again to another mirror sites? And if I'm lucky able to update, what is the next steps? Do I just run "apt-get install php php-devel php-gd php-imap php-ldap php-mysql php-odbc php-pear php-xmlrpc curl curl-devel perl-libwww-perl ImageMagick":confused:

     
    Last edited: Nov 14, 2005
  20. till

    till Super Moderator

    If the packge lists cannot be updated, you will have to chose another mirror. If the package lists have been updated correctly you can install the packeages with apt-get install .....

    But I think you have general problem with your internet connection because the ayo.... sites are really fast and you shall not get timeouts at all.
     

Share This Page